Question relating to Ruby Version Manager (rvm), a command-line tool that helps to manage multiple versions of Ruby

learn more… | top users | synonyms

0
votes
3answers
62 views

Java Process takes more memory and Machine stop working

I am new to Linux, I am using Ubuntu 14.04LTS, But suddenly my machine stop working.I run $ free -m and get results total used free shared buffers cached Mem: 7897 ...
1
vote
2answers
148 views

Will a Ruby installation installed by a package manager conflict with one installed with RVM?

I installed the Heroku Toolbelt the other day, and it looks like Ruby was a requirement, so the package manager installed it for me. But I was planning to install Ruby through RVM. Will the two Rubys ...
1
vote
2answers
229 views

How can I switch from using Rails 2 (packaged) to Rails 3 (RVM)?

I've installed the Rails 2.3.14 package by running: sudo apt-get install rails It is working fine. But after that I installed the Rails 3.2.9 gem by running: gem install rails In the terminal, ...
0
votes
1answer
15 views

trouble installing RVM

I am trying to Install RVM but facing error. I am using following code to install RVM sudo apt-get install libgdbm-dev libncurses5-dev automake libtool bison libffi-dev gpg --keyserver hkp://keys....
0
votes
1answer
142 views

Unable to install rvm using curl (https protocol issue)

I have a following problem. When using \curl -L https://get.rvm.io | bash -s stable --ruby to download rvm, I get error: curl: (1) Protocol https not supported or disabled in libcurl I'm ...
0
votes
1answer
704 views

Getting gpg key error while installing RVM

While installing rvm I get the following error. What can I do? jsr@jsr-Vostro-1550:~$ curl -L https://get.rvm.io | bash -s stable % Total % Received % Xferd Average Speed Time Time ...
0
votes
1answer
777 views

“no such file or directory” installing upstream ruby-rvm?

I'm currently on Ubuntu 12.04 and I have ruby version 1.9. 3 installed. I want to install the latest ruby version as I need it for SASS compass to do my front end work. I did research and noticed that ...
0
votes
1answer
316 views

Ruby on Rails on ubuntu 13.04 using rvm

I am trying to get WEBrick to work rvm gemset list gemsets for ruby-1.8.7-p374 (found in /home/simon/.rvm/gems/ruby-1.8.7-p374) (default) global => simple_cms my gem list gem list *** ...
0
votes
1answer
316 views

Installing ruby with rvm and making ruby visible to bash

I installed rvm according to the instructions from the official website. Then I installed two ruby versions While rvm was visible to bash, ruby was not. I was browsing the web for a solution and I ...
0
votes
1answer
167 views

Getting always - “xmpfilter: command not found”

I have installed vim plug-in - t9md/vim-ruby-xmpfilter. My .vimrc contains 1 set nocompatible " We're running Vim, not Vi! 2 syntax on " Enable syntax highlighting 3 filetype ...
0
votes
1answer
19 views

How change a mention about user folder after user name changing correctly

colleagues. I renamed my username from test to drobazko. Also I renamed a user folder from /home/test to /home/drobazko. I am developing under Ruby rvm. And I found out that the /home/test/ path was ...
0
votes
1answer
734 views

Why can't I install libnotify in Ubuntu 12.10?

my env: play@ubuntu:~$ gem env RubyGems Environment: - RUBYGEMS VERSION: 1.8.24 - RUBY VERSION: 1.9.3 (2012-11-10 patchlevel 327) [x86_64-linux] - INSTALLATION DIRECTORY: /home/play/.rvm/gems/...
-1
votes
1answer
56 views

Getting no file or directory on starting terminal in Ubuntu 14.04

I am getting the following message on terminal start -bash: /home/abhineel/.rvm/scripts/rvm: No such file or directory
2
votes
0answers
85 views

Unable to install Github-Pages with gem?

I've been trying to install github-pages using gem. I have Ruby v. 2.1.2: ✦ ruby -v ruby 2.1.2p95 (2014-05-08 revision 45877) [x86_64-linux] I installed Ruby using RVM and I've set 2.1.2 as my ...
1
vote
0answers
28 views

Installing RVM error

I am trying to install RVM for Ruby on Rails. This message appears: Requirements installation failed with status: 100. What do I need to do? How do I fix this?
0
votes
0answers
286 views

Can't install json 1.8.1

I'm trying to install json gem using ruby 2.2.3 (I've tried with other oversions), and I always get the same error: Fetching: json-1.8.1.gem (100%) Building native extensions. This could take a ...
0
votes
0answers
24 views

RailsEnv misspelled or defined by a module not included in the server configuration

I am following this link http://blog.redpanthers.co/2015/10/how-to-deploy-a-rails-app-with-passenger-and-apache-in-ubuntu-14-04/ in order to install ruby on rails with rvm and passenger. I was fine ...
0
votes
0answers
225 views

Ruby/RVM with @global gem - bundle run fails with `require': cannot load such file — bundler (LoadError)

I study linux for 1 month. While I tried to make all steps from Migrating from MySQL to Postgres on Heroku I've got an error I could not handle. When I try to install the mysqltopostgres gem from ...
0
votes
0answers
23 views

Tk with Ruby v2.0 on Ubuntu with RVM

Is there anyway I can get Tk to work on Ubuntu 14.04 when using rvm? I've tried every method I've found online to no avail.
0
votes
0answers
17 views

RVM curl error installing RoR

Trying to install RoR with RVM, I got this curl error: curl -L https://get.rvm.io | bash -s stable Why does this happen, can someone please explain it to me and tell me how to fix it?